| QxOrm 1.4.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qx::QxFunction_2< Owner, R, P1, P2 > Class Template Reference
QxFunction : QxOrm library function used by introspection engine

qx::QxFunction_2<Owner, R, P1, P2> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and with 2 parameters P1, P2 More...

`#include <QxFunction_2.h>`

Inheritance diagram for qx::QxFunction_2< Owner, R, P1, P2 >:

List of all members.

## Classes
struct | QxInvokerFct
struct | QxInvokerFct< T, true >
## Public Types
typedef std::function< R(Owner *, P1, P2) | type_fct )
typedef qx::trait::remove_attr < P1, false >::type | type_P1
typedef qx::trait::remove_attr < P2, false >::type | type_P2
## Public Member Functions
| QX_FUNCTION_CLASS_MEMBER_FCT (QxFunction_2)
virtual int | getParamCount () const
virtual qx_bool | isValidParams (const QString &params) const
virtual qx_bool | isValidParams (const type_any_params &params) const

## Detailed Description

### template<class Owner, typename R, typename P1, typename P2>
class qx::QxFunction_2< Owner, R, P1, P2 >

qx::QxFunction_2<Owner, R, P1, P2> : concrete function registered into QxOrm context defined into class Owner, returning an object of type R and with 2 parameters P1, P2

Definition at line 56 of file QxFunction_2.h.

## Member Typedef Documentation

template<class Owner, typename R, typename P1, typename P2>

typedef std::function<R (Owner *, P1, P2) qx::QxFunction_2< Owner, R, P1, P2 >::type_fct)

Definition at line 61 of file QxFunction_2.h.

template<class Owner, typename R, typename P1, typename P2>

typedef qx::trait::remove_attr<P1, false>::type qx::QxFunction_2< Owner, R, P1, P2 >::type_P1

Definition at line 62 of file QxFunction_2.h.

template<class Owner, typename R, typename P1, typename P2>

typedef qx::trait::remove_attr<P2, false>::type qx::QxFunction_2< Owner, R, P1, P2 >::type_P2

Definition at line 63 of file QxFunction_2.h.

## Member Function Documentation

template<class Owner, typename R, typename P1, typename P2>

virtual int qx::QxFunction_2< Owner, R, P1, P2 >::getParamCount | ( |  | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 66 of file QxFunction_2.h.

template<class Owner, typename R, typename P1, typename P2>

virtual qx_bool qx::QxFunction_2< Owner, R, P1, P2 >::isValidParams | ( | const QString & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 67 of file QxFunction_2.h.

template<class Owner, typename R, typename P1, typename P2>

virtual qx_bool qx::QxFunction_2< Owner, R, P1, P2 >::isValidParams | ( | const type_any_params & | params | ) | const`[inline, virtual]`

Implements qx::IxFunction.

Definition at line 68 of file QxFunction_2.h.

template<class Owner, typename R, typename P1, typename P2>

qx::QxFunction_2< Owner, R, P1, P2 >::QX_FUNCTION_CLASS_MEMBER_FCT | ( | QxFunction_2< Owner, R, P1, P2 > |  | ) |

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxFunction/QxFunction_2.h